import { jsx } from "react/jsx-runtime";
import { TokenFRAX as TokenFRAX$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenFRAX = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "FRAX", "data-name": "TokenFRAX", ...props, children: /* @__PURE__ */ jsx(TokenFRAX$1, { variant }) });
  }
);
TokenFRAX.displayName = "TokenFRAX";
Object.assign(TokenFRAX, { isGdsIcon: true });
export {
  TokenFRAX
};
